growpart breaks ppc64 images / sfdisk changes partition type

Bug #1474090 reported by Scott Moser on 2015-07-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-utils (Ubuntu)
Critical
Unassigned
util-linux (Ubuntu)
Medium
Unassigned

Bug Description

rebooting a wily cloud image under ppc64 qemu fails to come back up.
also power off then start causes this issue.

It ends in a SLOF prompt after showing:

Trying to load: from: disk ...
No DOS disk-label found.

E3404: Not a bootable device!
Trying to load: from: disk1 ...
No DOS disk-label found.

E3404: Not a bootable device!
Trying to load: from: cdrom ... No medium !

E3405: No such device
Trying to load: from: net ...
 Bootloader 1.6
  Reading MAC address from device: 52:54:00:12:34:56
  Requesting IP address via DHCP: 10.0.2.15
  Requesting file "" via TFTP from 10.0.2.2
  Receiving data: 0 KBytes
E3010 (net) TFTP access violation

the reason for this is that growpart used sfdisk to resize the disk, and sfdisk changed the partition type of the PReP partition to the default Linux partition type. The bootloader then did not consider this a partition.

Scott Moser (smoser) wrote :
tags: added: cloud-images
summary: - ppc64 cloud images do not reboot
+ ppc64 cloud images boot only once
description: updated
Scott Moser (smoser) on 2015-07-13
Changed in ubuntu:
importance: Undecided → Critical
status: New → Confirmed

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1474090/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Scott Moser (smoser) wrote :

seems growpart related.
adding cloud-config to the uesr-data of:
 growpart:
   mode: off

and it does not fail.

affects: ubuntu → cloud-utils (Ubuntu)
Scott Moser (smoser) wrote :

sent a fix upstream for sfdisk to know about PReP partitions
 http://marc.info/?l=util-linux-ng&m=143690462327577&w=2

That fixes this specific issue, but it actually seems like growpart should prefer sgdisk / disable the sfdisk support until we have a fix in place for not losing partition types when editing.

See issue sent upstream at http://marc.info/?l=util-linux-ng&m=143690501927717&w=2

Scott Moser (smoser) on 2015-07-15
Changed in util-linux (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Scott Moser (smoser) wrote :

util-linux trunk is now fixed for both of the issues above.
I've fixed this in cloud-utils by using gdisk unless sfdisk >= 2.26.3

Scott Moser (smoser) on 2015-07-15
summary: - ppc64 cloud images boot only once
+ growpart breaks ppc64 images / sfdisk changes partition type
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-utils - 0.27-0ubuntu18

---------------
cloud-utils (0.27-0ubuntu18) wily; urgency=medium

  * d/README.source: doc fix
  * d/control: up Recommended version of util-linux to >= 2.26.3
  * sync to trunk at revno 269
    * remove confusing output of older sfdisk when growing gpt disks
    * only use sfdisk for gpt resizing if newer than 2.26.2 (LP: #1474090)

 -- Scott Moser <email address hidden> Wed, 15 Jul 2015 11:26:45 -0400

Changed in cloud-utils (Ubuntu):
status: Confirmed → Fix Released
Scott Moser (smoser) wrote :

Just for clarity, this can be marked fix-released in util-linux when we get any upstream release > 2.26.2.

Scott Moser (smoser) wrote :

marking fix-released in util-linux as we have 2.27 in xenial.

Changed in util-linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers